FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-01-2012, 10:50 AM
 
Default crossdev/x86dev screwdup ?!

hi,

Something broke my crossdev installation...

I installed crossdev and did a

crossdev --target armv7a-unknown-linux-gnueabi

which produces a useable cross development toolchain.

A few days ago there was an update related to thsi crossdev
toolchain (dont remember exactly), which also installs fine.

But now, calling

armv7a-unknown-linux-gnueabi-gcc

results in

gcc-config: error: could not run/locate 'armv7a-unknown-linux-gnueabi-gcc'
[1] 25787 exit 1 armv7a-unknown-linux-gnueabi-gcc

.

Calling

armv7a-unknown-linux-gnueabi-gcc-4.7.2

gives the exspected error message "no input files".

The output of

gcc-config -l

is

[1] armv7a-unknown-linux-gnueabi-4.7.2

[2] x86_64-pc-linux-gnu-4.4.7
[3] x86_64-pc-linux-gnu-4.5.4 *

. Before i screw up my native toolchain I better ask for help,
how I can reactivate my crossdev toolchain, so that it is available
via

armv7a-unknown-linux-gnueabi-gcc

.

How can I acchieve this?

Thank you very much in advance for any help!

Best regards,
mcc
 

Thread Tools




All times are GMT. The time now is 08:30 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org